Package org.apache.catalina.storeconfig

## Class CredentialHandlerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.CredentialHandlerSF

All Implemented Interfaces:
  `IStoreFactory`

    public class CredentialHandlerSF
    extends StoreFactoryBase

Store server.xml Element CredentialHandler

### Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

### Constructor Summary

Constructors
`CredentialHandlerSF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `store​(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)` Store a server.xml element with attributes and children
`void` `storeChildren​(java.io.PrintWriter aWriter, int indent, java.lang.Object aCredentialHandler, StoreDescription parentDesc)` Store the specified CredentialHandler properties and child (CredentialHandler)

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CredentialHandlerSF

    public CredentialHandlerSF()

### Method Detail

#### store

    public void store​(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

Description copied from class: `StoreFactoryBase`
Store a server.xml element with attributes and children

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Throws:
  `java.lang.Exception`
See Also:
  `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

#### storeChildren

    public void storeChildren​(java.io.PrintWriter aWriter,
                              int indent,
                              java.lang.Object aCredentialHandler,
                              StoreDescription parentDesc)
                       throws java.lang.Exception

Store the specified CredentialHandler properties and child (CredentialHandler)

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - PrintWriter to which we are storing
  `indent` - Number of spaces to indent this element
  `aCredentialHandler` - CredentialHandler whose properties are being stored
  `parentDesc` - The element description
Throws:
  `java.lang.Exception` - if an exception occurs while storing